package com.RT_Printer.BluetoothPrinter;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Locale;

import com.RT_Printer.BluetoothPrinter.BLUETOOTH.BluetoothPrintDriver;
import com.RT_Printer.BluetoothPrinter.util.Utils;

import android.app.Activity;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class PrinterOptionActivity extends Activity{
	private Button mBtnBack = null;
	private Button mBtnPrintText = null;
	private Button mBtnPrintImage = null;
	private Button mBtnPrint1DBarcode = null;
	private Button mBtnPrintTicket = null;
	private Button mBtnPrintTable = null;
	private EditText m1DBarcodeContent = null;
//	private BloothPrinter mBloothPrinter = null;
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.printer_option);
        InitUIControl();
    }



	@Override
	protected void onResume() {
		// TODO Auto-generated method stub
//		this.mBloothPrinter = BloothPrinterActivity.mBloothPrinter;
		super.onResume();
	}

	
	private String getLanguageEnv() {  
	       Locale l = Locale.getDefault();  
	       String language = l.getLanguage();  
	       String country = l.getCountry().toLowerCase();  
	       if ("zh".equals(language)) {  
	           if ("cn".equals(country)) {  
	               language = "zh-CN";  
	           } else if ("tw".equals(country)) {  
	               language = "zh-TW";  
	           }  
	       } else if ("pt".equals(language)) {  
	           if ("br".equals(country)) {  
	               language = "pt-BR";  
	           } else if ("pt".equals(country)) {  
	               language = "pt-PT";  
	           }  
	       }  
	       return language;  
	}  

	private void InitUIControl(){
    	mBtnBack = (Button)findViewById(R.id.btn_back);
    	mBtnBack.setOnClickListener(mBtnBackOnClickListener);
    	mBtnPrintText = (Button)findViewById(R.id.btn_print_text);
    	mBtnPrintText.setOnClickListener(mBtnPrintTextOnClickListener);
    	mBtnPrintImage = (Button)findViewById(R.id.btn_print_image);
    	mBtnPrintImage.setOnClickListener(mBtnPrintImageOnClickListener);
    	mBtnPrint1DBarcode = (Button)findViewById(R.id.btn_print_barcode);
    	mBtnPrint1DBarcode.setOnClickListener(mBtnPrint1DBarcodeOnClickListener);
    	mBtnPrintTicket = (Button)findViewById(R.id.btn_print_smallticket);
    	mBtnPrintTicket.setOnClickListener(mBtnPrintTicketOnClickListener);
    	mBtnPrintTable = (Button)findViewById(R.id.btn_print_table);
    	mBtnPrintTable.setOnClickListener(mBtnPrintTableOnClickListener);
    	m1DBarcodeContent = (EditText)findViewById(R.id.edt_barcode_content);
    }

	OnClickListener mBtnBackOnClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			finish();
		}
	};

	OnClickListener mBtnPrintTextOnClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			if(BluetoothPrintDriver.IsNoConnection()){
				return;
			}
			BluetoothPrintDriver.Begin();
			String tmpString = PrinterOptionActivity.this.getResources().getString(R.string.print_text_content);
			BluetoothPrintDriver.ImportData(tmpString);
			BluetoothPrintDriver.ImportData("\r");
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();

		}
	};

	OnClickListener mBtnPrintImageOnClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			if(BluetoothPrintDriver.IsNoConnection()){
				return;
			}
			InputStream in = null;
			try {
				in = getResources().getAssets().open("Rongta.jpg");
			} catch (IOException e) {
				e.printStackTrace();
			}
			/**
			 * ˵£ͬͼƬʹBitmapFactory.decodeResource(res, id);
			 * Bitmap λͼ߶ԭͼ2ʹȡķʽԴļжȡ
			 *	ҰͼƬΪ ߶Ϊ 322СءҪעһ
			 *
			 */
/*			BufferedInputStream bis = new BufferedInputStream(in);
			Bitmap bitmap = BitmapFactory.decodeStream(bis);
			//ʹӡͼƬǰָ
			byte[] start = { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1B, 0x40, 0x1B, 0x33, 0x00 };
			mBloothPrinter.Begin();
			mBloothPrinter.ImportData(start, start.length);
			mBloothPrinter.excute();
			mBloothPrinter.ClearData();
			//ͼƬ
			byte[] byteImage = Utils.getReadBitMapBytes(bitmap);		
			mBloothPrinter.ImportData(byteImage, byteImage.length);
			mBloothPrinter.excute();
			mBloothPrinter.ClearData();
			//ͽָ ҪͼƬڴӡַʱ
			byte[] end = { 0x1d, 0x4c, 0x1f, 0x00 };
			mBloothPrinter.ImportData(end, end.length);
			mBloothPrinter.excute();
			mBloothPrinter.ClearData();
*/			
			BluetoothPrintDriver.printImage();
		}
	};

	OnClickListener mBtnPrint1DBarcodeOnClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			if(BluetoothPrintDriver.IsNoConnection()){
				return;
			}
			BluetoothPrintDriver.Begin();
			String print1DBarcodeStr = m1DBarcodeContent.getText().toString();
        	int len = print1DBarcodeStr.length();
        	if(len > 16){
        		String tmpString = PrinterOptionActivity.this.getResources().getString(R.string.barcode_input_hint);
    			Utils.ShowMessage(PrinterOptionActivity.this, tmpString);
        		return;
        	}
//        	for(int i=0; i<len; i++){
//        		if(print1DBarcodeStr.charAt(i)<'0' || print1DBarcodeStr.charAt(i)>'9'){
//        			//Utils.ShowMessage(PrinterOptionActivity.this, "ַֻ09λ֮!");
//        			String tmpString = PrinterOptionActivity.this.getResources().getString(R.string.barcode_input_hint);
//        			Utils.ShowMessage(PrinterOptionActivity.this, tmpString);
//            		return;
//            	}
//        	}
        	BluetoothPrintDriver.AddCodePrint(BluetoothPrintDriver.Code128_B, print1DBarcodeStr);
        	BluetoothPrintDriver.excute();
        	BluetoothPrintDriver.ClearData();
			}
	};

	OnClickListener mBtnPrintTicketOnClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			if(BluetoothPrintDriver.IsNoConnection()){
				return;
			}
			String tmpString1 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content1);
			String tmpString2 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content2);
			String tmpString3 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content3);
			String tmpString4 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content4);
			String tmpString5 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content5);
			String tmpString6 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content6);
			String tmpString7 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content7);
			String tmpString8 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content8);
			String tmpString9 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content9);
			String tmpString10 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content10);
			String tmpString11 = PrinterOptionActivity.this.getResources().getString(R.string.print_smallticket_content11);
			String tmpString12 = PrinterOptionActivity.this.getResources().getString(R.string.print_ticket_line1);
			String tmpString13 = PrinterOptionActivity.this.getResources().getString(R.string.print_ticket_line2);
			
			
			BluetoothPrintDriver.Begin();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.AddAlignMode((byte)1);//
			BluetoothPrintDriver.SetLineSpace((byte)50);	
			BluetoothPrintDriver.SetZoom((byte)0x11);//ߣ		
			BluetoothPrintDriver.ImportData(tmpString1);
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.AddAlignMode((byte)0);//		
			BluetoothPrintDriver.SetZoom((byte)0x00);//ĬϿȡĬϸ߶
			BluetoothPrintDriver.ImportData(tmpString2);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString3);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString4);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString12);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString5);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString12);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString6);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString7);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString12);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString8);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.SetZoom((byte)0x11);//ߣ	
			BluetoothPrintDriver.ImportData(tmpString9);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString13);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.ImportData(tmpString10);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.SetZoom((byte)0x00);//ĬϿȡĬϸ߶	
			BluetoothPrintDriver.ImportData(tmpString11);
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();
			BluetoothPrintDriver.LF();
			BluetoothPrintDriver.excute();
			BluetoothPrintDriver.ClearData();

		}
	};

	OnClickListener mBtnPrintTableOnClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			if(BluetoothPrintDriver.IsNoConnection()){
				return;
			}
			String tmpString1 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content1);
			String tmpString2 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content2);
			String tmpString3 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content3);
			String tmpString4 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content4);
			String tmpString5 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content5);
			String tmpString6 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content6);
			String tmpString7 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content7);
			String tmpString8 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content8);
			String tmpString9 = PrinterOptionActivity.this.getResources().getString(R.string.print_table_content9);
			
			
			String language = getLanguageEnv();//ȡǰϵͳ
		    if (language != null  
		            && (language.trim().equals("zh-CN") || language.trim().equals("zh-TW")))  
		    {//
		    	BluetoothPrintDriver.Begin();
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01}, 3);	//ñ
		    	BluetoothPrintDriver.ImportData(String.format(tmpString1),true);
		    	BluetoothPrintDriver.ImportData(String.format(tmpString2),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01},3);	//ò
		    	BluetoothPrintDriver.ImportData(String.format(tmpString3),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01}, 3);	//ñ
		    	BluetoothPrintDriver.ImportData(String.format(tmpString4),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01},3);	//ò
		    	BluetoothPrintDriver.ImportData(String.format(tmpString5), true);
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01},3);	//ñ
		    	BluetoothPrintDriver.ImportData(String.format(tmpString6),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01},3);	//ò
		    	BluetoothPrintDriver.ImportData(String.format(tmpString7),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01},3);	//ñ
		    	BluetoothPrintDriver.ImportData(String.format(tmpString8),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x00},3);	//ò
		    	BluetoothPrintDriver.ImportData(String.format(tmpString9),true);
		    	BluetoothPrintDriver.LF();
		    	BluetoothPrintDriver.LF();
		    	BluetoothPrintDriver.excute();
		    	BluetoothPrintDriver.ClearData();
		    }
		    else
		    {//
		    	BluetoothPrintDriver.Begin();
		    	BluetoothPrintDriver.ImportData(new byte[]{0x1d,0x21,0x01}, 3);	//ñ
				// һ
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xDA},1);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},6);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC2},1);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},8);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC2},1);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4},2);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC2},1);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},6);// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xBF,0x0A},2);// 
				// ڶ
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);// 
		    	BluetoothPrintDriver.ImportData(String.format("From  "),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);// 
		    	BluetoothPrintDriver.ImportData(String.format("Shanghai"),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);// 
		    	BluetoothPrintDriver.ImportData(String.format("To"),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);// 
		    	BluetoothPrintDriver.ImportData(String.format("Xiamen"),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3,0x0A},2);
				// 
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC3},1);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},6);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC5},1);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},4);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC2},1);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4},3);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC1},1);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC2},1);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4},1);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC1},1);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},6);// 
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB4,0x0A},2);// 
				//
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
				BluetoothPrintDriver.ImportData(String.format("Amount"),true);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
				BluetoothPrintDriver.ImportData(String.format(" 1  "),true);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
				BluetoothPrintDriver.ImportData(String.format("No. "),true);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
				BluetoothPrintDriver.ImportData(String.format("5555555 "),true);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3,0x0A},2);
				//
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC3},1);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},6);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC1},1);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4},3);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC2},1);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC1},1);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},4);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC1},1);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},8);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB4,0x0A},2);	
				//
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
		    	BluetoothPrintDriver.ImportData(String.format("Addressee "),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
		    	BluetoothPrintDriver.ImportData(String.format("Sun Jun       "),true);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3,0x0A},2);
				//
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC3},1);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},10);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC5},1);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},14);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB4,0x0A},2);    	
				//ڰ
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
				BluetoothPrintDriver.ImportData(String.format("Pickup by "),true);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3},1);
				BluetoothPrintDriver.ImportData(String.format("              "),true);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xB3,0x0A},2);
				//ھ
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC0},1);
				BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},10);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC1},1);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4,(byte)0xC4},14);
		    	BluetoothPrintDriver.ImportData(new byte[]{(byte)0xD9,0x0A},2);  
				//
		    	BluetoothPrintDriver.LF();
				BluetoothPrintDriver.LF();
				BluetoothPrintDriver.excute();
				BluetoothPrintDriver.ClearData();
		    }
		}
	};
}
